<?php

ini_set("zlib.output_compression", 0);  // off
ini_set("implicit_flush", 1);  // on   
ob_implicit_flush(true);
ob_end_flush();
ob_start();

include 'admin/db.php';

error_reporting(E_ALL & ~E_WARNING & ~E_NOTICE & ~E_DEPRECATED);
ini_set('display_errors', 1);

ignore_user_abort(true);
ini_set('memory_limit', '2G');
ini_set('max_execution_time', 3600);
set_time_limit(3600);
?><!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <title>Mechbunny Tube Script Update 6.2.6</title>
        <link rel="stylesheet" href="//maxcdn.bootstrapcdn.com/bootswatch/3.3.6/united/bootstrap.min.css" />
        <style type="text/css">
            .alert{margin-bottom:0}
            .notification .alert{padding:10px 15px}
        </style>
    </head>
    <body>

        <div class="container">
            <div class="well">

                <div class="row">
                    <div class="col-xs-12">
                        <div class="page-header text-center">
                            <h1>Mechbunny Cam Aggregator Update 1.0.1</h1>
                        </div>
                    </div>
                </div>

                <div class="row">

                    <?
                    $run_update = true;
                    $error = false;

                    if ($_POST['startUpgrade'] && $run_update === true) {
						
						
						dbQuery("ALTER TABLE `status` ADD `cron_last_run` TIMESTAMP NOT NULL AFTER `csv_photos_import_total`;");

						dbQuery("INSERT INTO `template_configuration` (`field_name`, `field_description`, `field`, `value`, `data`, `weight`, `template`, `localized`, `settings`, `record_num`) VALUES ('Logo URL', 'Logo URL (use Logo Upload under Settings to Upload, or specify manually)', 'template_logo_url', '', '', '1', 'default', '0', '', NULL)");
	
						dbQuery("INSERT INTO `template_configuration` (`field_name`, `field_description`, `field`, `value`, `data`, `weight`, `template`, `localized`, `settings`, `record_num`) VALUES ('Primary Foreground Color', '', 'template_primary_foreground', '', '', '1', 'default', '0', '', NULL);");

						dbQuery("INSERT INTO `template_configuration` (`field_name`, `field_description`, `field`, `value`, `data`, `weight`, `template`, `localized`, `settings`, `record_num`) VALUES ('Secondary Foreground Color', '', 'template_secondary_foreground', '', '', '1', 'default', '0', '', NULL);");

						dbQuery("INSERT INTO `template_configuration` (`field_name`, `field_description`, `field`, `value`, `data`, `weight`, `template`, `localized`, `settings`, `record_num`) VALUES ('Primary Background Color', '', 'template_primary_background', '', '', '1', 'default', '0', '', NULL);");

						dbQuery("INSERT INTO `template_configuration` (`field_name`, `field_description`, `field`, `value`, `data`, `weight`, `template`, `localized`, `settings`, `record_num`) VALUES ('Secondary Background Color', '', 'template_secondary_background', '', '', '1', 'default', '0', '', NULL);");

						dbQuery("INSERT INTO `template_configuration` (`field_name`, `field_description`, `field`, `value`, `data`, `weight`, `template`, `localized`, `settings`, `record_num`) VALUES ('Primary Text Color', '', 'template_primary_text_color', '', '', '1', 'default', '0', '', NULL);");

						dbQuery("INSERT INTO `template_configuration` (`field_name`, `field_description`, `field`, `value`, `data`, `weight`, `template`, `localized`, `settings`, `record_num`) VALUES ('Primary Text Color', '', 'template_secondary_text_color', '', '', '1', 'default', '0', '', NULL);");

						dbQuery("INSERT INTO `template_configuration` (`field_name`, `field_description`, `field`, `value`, `data`, `weight`, `template`, `localized`, `settings`, `record_num`) VALUES ('Use Color Scheme', 'Enable/Disable Defined Template Color Scheme', 'template_colors_enabled', '1', '{\"true\":1,\"false\":0}', '1', 'default', '0', '', NULL);");


					
						
						if (!$error) { 
                            setMessage('<div class="alert alert-success">Upgrade completed</div>', 'alert');
                            setMessage('<div class="alert alert-warning"><strong>WARNING: remove "update.php" file from your server!</strong></div>', 'alert');
                        }
                        setMessage('<div class="alert alert-info"><a href="' . $basehttp . '">Go to homepage</a> or <a href="' . $basehttp . '/admin/">go to Admin Area</a></div>', 'alert');
                    }
                    ?>

                    <?php echo getMessages(); ?>

                </div>

                <?php if ($run_update === true && !$_POST['startUpgrade']) { ?>
                    <div class="row">
                        <div class="col-xs-12">
                            <form action="" method="post" class="text-center">
                                <input type="hidden" name="startUpgrade" value="1">
                                <button type="submit" class="btn btn-primary btn-lg">Start upgrade</button>
                            </form>
                        </div>
                    </div>
                <?php } ?>
            </div>
        </div>

    </body>
</html>
<?php ob_flush(); flush(); ?>
